import { get, post } from '@/utils/request'

// 获取用户积分
export function getUserPoints() {
  return get('/api/shop/points')
}

// 获取积分历史
export function getPointsHistory() {
  return get('/api/shop/points/history')
}

// 获取商品列表
export function getGoodsList() {
  return get('/api/shop/goods')
}

// 兑换商品
export function exchangeGoods(goodsId) {
  return post('/api/shop/exchange', { goodsId })
} 